%define	name	kiki
%define	version	1.0.2
%define rel	5
%define	release	%mkrel %{rel}
%define	Summary	Kiki the nanobot

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://kiki.sourceforge.net/
Source0:	%{name}-%{version}-src.tgz
Source2:	%{name}-story.txt.bz2
Source3:	http://kiki.cvs.sourceforge.net/*checkout*/kiki/kiki/sounds/title_song.mp3
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		kiki-1.0.2-mdkconf.patch
Patch1:		kiki-1.0.2-python-dynling-fix.patch
Patch2:		kiki-1.0.2-gcc4-fix.patch
Patch3:		kiki-1.0.2-python2.5-fix.patch
Patch4:		kiki-1.0.2-define-path.patch
License:	Public Domain
Group:		Games/Puzzles
Summary:	%{Summary}
BuildRequires:	Mesa-common-devel SDL_mixer-devel SDL_image-devel python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
"kiki the nano bot" is a 3-D puzzle game, basically a mixture
of the games Sokoban and Kula-World.

kiki has won the Categories 'Best Graphics', 'Best Originality'
and 'Best Overall Game' in the uDevGame Game Programming Contest 2002.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .mdkconf
%patch1 -p1 -b .dynlink
%patch2 -p1 -b .gcc4
%patch3 -p1 -b .python2.5
%patch4 -p1 -b .path
bzcat %{SOURCE2} > story.txt
rm -rf `find -type d -name CVS`

%build
cd kodilib/linux; %make OPTFLAGS="%{optflags}" PYTHONHOME=%{py_platlibdir}; cd -
cd linux; %make OPTFLAGS="%{optflags}" KIKI_HOME="%{_gamesdatadir}/%{name}" PYTHON_VERSION=%{python_version} PYTHONHOME=%{py_platlibdir} GLLIBS="-lglut -lGLU -lGL"; cd -

%install
rm -rf %{buildroot}

install -m755 linux/%{name} -D %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -r sound py %{buildroot}%{_gamesdatadir}/%{name}
install -m644 %{SOURCE3} -D %{buildroot}%{_gamesdatadir}/%{name}/sound/title_song.mp3

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Puzzles" \
		title="%{Summary}"\
		longtitle="%{Summary}" \
		xdg="true"
EOF

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{Summary}
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc linux/Readme.txt story.txt Thanks.txt uDevGame\ Readme.txt
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*


%changelog
* Fri Feb 02 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-5mdv2007.0
+ Revision: 115992
- bump
- rather define data path in source than rely on wrapper (P4)
- fix so that correct macro for python libdir gets used
- fix build against python 2.5 (P3)
- rebuild for new python
- Import kiki



* Thu Aug 17 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-3mdv2007.0
- move title theme to correct location
- fix category in menu

* Wed Aug 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-2mdv2007.0
- fix missing files
- add missing (dead?) title song from cvs

* Wed Aug 16 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.2-1mdv2007.0
- 1.0.2
- regenerate P0, P1 & P2
- xdg menu
- cleanups

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.2-0.cvs20050617.1mdk
- update to latest from cvs
- dynamically link against python to avoid unresolved symbols (P1)
- fix build with gcc4 (P2)

* Thu May 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.0-11.cvs20040609.mdk
- lib64 fix

* Fri Apr 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-10.cvs20040609.mdk
- rebuild

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-9.cvs20040609.mdk
- rebuild for new python

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-8.cvs20040609.mdk
- rebuild for new menu

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-7.cvs20040609.mdk
- update from cvs to fix #9998
- update P0
- drop P1

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-6mdk
- rebuild for new g++

* Fri Jan 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-5mdk
- link against dynamic python library in stead of static to make kiki work with python-2.3 (P1)
- don't bzip2 icons in src.rpm
- fix buildrequires

* Fri Sep 12 2003 Michael Scherer <scherer.michael@free.fr> 0.9.0-4mdk
- BuildRequires python-devel 
 
* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-3mdk
- rebuild for new python

* Sat Jul 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.0-2mdk
- bump, binary uploaded differed from source rpm, had the wrong group & menu section

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.0-1mdk
- initial mdk release
